highlight {
    color:blue ;
}

.color-picker {
    margin-left: 10px;
}

.color-picker-pallete {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 88px;
    margin: 50px auto;
    border: 1px solid #e8e8e8;
    background-color: #fff;
    border-radius: 5px;
    position: absolute;
    z-index: 1;
    right: 0px;
    top: 13px;
}

.color {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    margin: 3px;
    cursor: pointer;
    transition: transform 0.2s;
}

.color:hover {
    transform: scale(1.1);
}

#chatInput {
    overflow-y: auto;
    resize: none;
    min-height: 24px;
    max-height: 53px;
    font-size: 16px;
    margin-top: 10px;
    height: 34px;
}

.txt_box p {
    word-break: break-word;
}

.chat-finish-btn {
    border: 1px solid #ddd;
    padding: 4px;
    margin-top: 10px;
    border-radius: 5px;
    background-color: #f4f4f4;
}


.content .left_con .accordion > ul > li > ul li a.active {
    font-weight: bold;
}

.chat_side small {
    white-space: nowrap;
}

/* 인덱스 요약하기 - 메인 */
.content .center_con .chat_page .chat_page_wrap .consult .consult_con .consult_list ul li .slide_wrap.summary {
    border: 1px solid #ddd;
    border-radius: 10px;
    padding: 16px;
    background-color: #fafafa;
}

/* 인덱스 요약하기 - 사이드 */
.content .right_con .right_consult .consult_list ul li .slide_wrap.summary {
    border: 1px solid #ddd;
    border-radius: 10px;
    padding: 16px;
    width: 90%;
    background-color: #fafafa;
}

/* 요약 페이지 */
.keyword-container {
    margin-top: 40px;
    border-radius: 12px;
}

.content .center_con .chat_page .chat_page_wrap .consult .consult_con .summary .keyword {
    border-radius: 10px 10px 0 0;
}

.content .center_con .chat_page .chat_page_wrap .consult .consult_con .summary .multi-keyword.keyword {
    background: #07488e24;
    border-radius:  0 0 10px 10px;
}

.content .center_con .chat_page .chat_page_wrap .consult .consult_con .summary .multi-keyword.keyword ul li {
    background: #012c5b;
    color: #fff;
}

/* 의미검색 입력창 */
.search_btn img {
    padding-top:10px;
}


/* modal overlay */
#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
    z-index: 1000;
}

/* modal */
#modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 20px;
    width: 90%;
    max-width: 700px;
    height: auto;
    max-height: 90vh;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    display: none;
    overflow-y: auto;
    z-index: 1001;
}

/* modal 자세히보기 반응형 */
@media (max-width: 480px) {
    #modal {
        width: 100%;
        height: 100vh;
        top: 0;
        left: 0;
        transform: none;
        border-radius: 0;
    }
}

/* modal 닫기 */
#closeModal {
    height: 34px;
    border-radius: 34px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 16px;
    box-sizing: border-box;
    border: 1px solid #E8E8E8;
    font-size: 14px;
    position: relative;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    margin-top: 10px;
}

/* modal 날짜,키워드(작성자) 스타일 */
.keyword-style {
    font-size: 14px;
    font-weight: bold;
    white-space: normal;
    overflow: visible;
    word-break: break-all;
}

/* modal 제목 스타일  */
.title-style {
    font-size: 24px;
    font-weight: bold;
    white-space: normal;
    overflow: visible;
    word-break: break-all;
}

/* modal 본문,이미지 스타일 */
.content-style, .image-style {
    font-size: 14px;
    white-space: normal;
    overflow: visible;
    word-break: break-all;
}

/* modal URL 스타일 */
a.url-style {
    font-size: 12px;
    color: blue;
    text-decoration: underline;
    white-space: normal;
    word-break: break-all;
}

/* 유사 문서 슬라이드 스타일 - 메인*/
.content .center_con .chat_page .chat_page_wrap .consult .consult_con .consult_list ul li .slide_wrap.similar{
    position: relative;
    width: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
    padding: 20px;
    background-color: #fff;
    margin-top: 0 !important;
}

/* 유사 문서 슬라이드 스타일 - 사이드*/
.content .right_con .right_consult .consult_list ul li .slide_wrap.similar {
    position: relative;
    width: 90%;
    overflow: hidden;
    display: flex;
    align-items: center;
    padding: 20px;
    background-color: #fff;
    margin-top: 0 !important;
}

.slides-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    transition: transform 0.3s ease;
    gap: 10px;
}

.swiper-slide {
    flex: 0 0 auto;
    margin-right: 16px;
}

.slide a {
    border: 1px solid #E8E8E8;
    box-sizing: border-box;
    display: block;
    overflow: hidden;
    border-radius: 12px;
    background: #f5f5f5;
    height: 150px;
    padding: 20px 16px;
}

.slides-container .slide h5 {
    color: #000 !important;
    font-weight: 400;
    margin-top: 16px;
    margin-bottom: 16px;
    display: -webkit-box !important;
    -webkit-box-orient: vertical;
    word-wrap: break-word;
    text-overflow: ellipsis;
    overflow: hidden;
    -webkit-line-clamp: 3;
}

.next-button, .prev-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(255, 255, 255, 0.8);
    border: 1px solid #ccc;
    border-radius: 50%;
    width: 36px;
    height: 36px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 10;
}

.next-button {
    right: 10px;
}

.prev-button {
    left: 10px;
}

.swiper-button-next:hover,
.swiper-button-prev:hover {
    background-color: rgba(255, 255, 255, 1);
}

#new_doc_move {
    margin-top: 0 !important;
}

/* 기록 스타일 */
.history-container {
    max-width: 800px;
    margin: auto;
    background: white;
    padding: 20px;
    overflow-y: auto;
    height: 500px;
    cursor: pointer;
    border-top: 1px solid #e0dbdb;
    margin-top: 12px;
}

.history-container::-webkit-scrollbar {
    width: 16px;
}


.history-container li:hover i {
    display: block;
}


.history-container .record-section {
    margin-bottom: 20px;
}

.history-container ul {
    list-style-type: none;
    padding: 0;
}

.history-container li {
    padding: 6px 5px;
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 4px;
}

.history-container span.record-title {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.5;
    max-height: 3em;
}


.history-container h2 {
    font-weight: bold;
    padding: 0 5px 5px;
}

.history-container .actions {
    display: none;
}

.history-container li:hover .actions {
    display: flex;
}

.history-container li:hover{
    background-color: #ededed;
}

.history-container li i {
    margin-left: 10px;
    cursor: pointer;
    background: none;
    border: none;
    color: #2d2929;
    display: none;
}

.history-container li:hover  i{
    display: block;
}


.history-container  input {
    width: 80%;
    padding: 5px;
    border: 1px solid #ddd;
    border-radius: 4px;
}

.popup {
    display: none;
    position: absolute;
    background: white;
    border: 1px solid #ddd;
    border-radius: 5px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    z-index: 1000;
}

.title-click-action {
    background-color: #ededed;
}

.popup-content {
    padding: 10px;
}

.popup button {
    margin: 5px;
    cursor: pointer;
}

.menu-action {
    background-color: #ededed;
}


/* 토스트 스타일 */
.toast {
    visibility: hidden;
    min-width: 250px;
    background-color: #f4433691;
    color: white;
    text-align: center;
    border-radius: 4px;
    padding: 16px;
    position: fixed;
    top: 20px;
    left: 32%;
    z-index: 1000;
    opacity: 0;
    transition: opacity 0.5s ease-in-out, visibility 0.5s ease-in-out;
}

.toast.show {
    visibility: visible;
    opacity: 1;
}

/*새로운 대화 비활성화*/
.disabled {
    color: gray;
    pointer-events: none;
}

.snippet{
    margin-left: 10px !important;
}

/*정답찾기 헤드*/
#correct-answer-tap-item{
    background: #012c5b;
    border-radius: 0 12px 12px 12px;
}

/*정답찾기 내용*/
#correct-answer-tap-item ul li p{
    color: #fff;
}

/*정답찾기 후보정답*/
#document-tap-item{
    border: 1px solid #e0e0e0;
    border-radius: 12px 0 12px 12px;
    box-sizing: border-box;
}
